setwd("C:\\flurrish")
library(colorRamps)

#PDF output
par(mar=c(4, 4, 1, 1))
pdf(height=8, width=9, file="Learning_Bands_plot.pdf")
layout(matrix(c(1, 2), nc = 2), widths = c(4, 1))

#Input data: insert the filename for raw data
data <- read.csv("learning_bands_data.csv",header=T)
#Input data: specifies the data data range for plotting
data_range = data.frame(range=c(0,9))

#set up the range of values and set the palette
zlim = range(data_range$range, finite = TRUE)
levels = pretty(zlim, 8) #Specifiy the number of levels you want
palette(blue2green2red(length(levels) -1))

#loop through each value within each bin and allocate a colour palette
#BUG: need an extra loop check to see if any value is EQUAL to the max bin value. Fudge at moment
for(i in 1:(length(levels)-1)){
  for(j in 1:length(data$band)){
    if(data$band[j] < levels[i+1]){
	if(data$band[j] >= levels[i]){
		data$palette[j]=i
	}
    }
    else {
	data$palette[j]=0
    }
  }
}


#scatter plot for the main graph
plot(
data$multiplier, data$factor,xlab="Multiplier", 
ylab="Factor",main="Times Tables Learning Bands",
xlim=c(1,12),ylim=c(1,12),
pch = 15, cex = 3,
col = data$palette
)
abline(0,1, lty=1, lwd=2)

#plot legend
plot.new()
plot.window(
xlim = c(0, 1),
ylim = range(levels),
xaxs = "i", yaxs = "i"
)

rect(
0, levels[-length(levels)],
1, levels[-1],
col = blue2green2red(length(levels) - 1)
)
axis(4)

dev.off()


